<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\ContactFormTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\ContactFormTable Test Case
 */
class ContactFormTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\ContactFormTable
     */
    protected $ContactForm;

    /**
     * Fixtures
     *
     * @var list<string>
     */
    protected array $fixtures = [
        'app.ContactForm',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('ContactForm') ? [] : ['className' => ContactFormTable::class];
        $this->ContactForm = $this->getTableLocator()->get('ContactForm', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->ContactForm);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \App\Model\Table\ContactFormTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
